Bug 197417 (php-pear-Validate) - Review Request: php-pear-Validate - Validation Class for Various Data Types
Summary: Review Request: php-pear-Validate - Validation Class for Various Data Types
Status: CLOSED NEXTRELEASE
Alias: php-pear-Validate
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: php-pear-Date
Blocks: FE-ACCEPT pear-Payment-Process
TreeView+ depends on / blocked
 
Reported: 2006-07-01 05:35 UTC by Christopher Stone
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-09 05:06:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Stone 2006-07-01 05:35:15 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Validate.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Validate-0.6.3-1.src.rpm

Description:
Package to validate various datas. It includes :
- numbers (min/max, decimal or not)
- email (syntax, domain check, rfc822)
- string (predifined type alpha upper and/or lowercase, numeric,...)
- date (min, max)
- uri (RFC2396)
- possibility valid multiple data with a single method call (::multiple)

Comment 1 Christopher Stone 2006-09-07 00:57:03 UTC
SPEC: http://tkmame.retrogames.com/fedora-extras/php-pear-Validate.spec
SRPM: http://tkmame.retrogames.com/fedora-extras/php-pear-Validate-0.6.4-1.src.rpm

%changelog
* Wed Sep 06 2006 Christopher Stone <chris.stone@gmail.com> 0.6.4-1
- Upstream sync


Comment 2 Jason Tibbitts 2006-09-08 20:08:41 UTC
* source files match upstream:
   70be4bfc7cf759e3451fb4f8faf251cb  Validate-0.6.4.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent (except for the bogus warning)
* final provides and requires are sane:
   php-pear(Validate) = 0.6.4
   php-pear-Validate = 0.6.4-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php-pear(Date)
   php-pear(PEAR)
* %check is not present; there are tests but it is not possible to execute them
automatically.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (PEAR module installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 3 Jason Tibbitts 2006-09-08 20:11:15 UTC
I neglected to mention that the Summary: is a bit lacking.  And for the
%description, "datas" isn't a word.  Neither keep this package from being
approved, but you might want to flesh out the Summary a bit and s/datas/data/ in
%description.

Comment 4 Christopher Stone 2007-04-22 22:43:24 UTC
Branch Package CVS Request
=======================
Package Name: php-pear-Validate
Short Description: Validation Class for Various Data Types
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.